API referenceAnalytics

GET /analytics/accounts/{id}

Account insights (Instagram, Facebook Page, Threads, TikTok, X; Telegram: followers = member count; Discord, Bluesky and Mastodon have no analytics → not_supported)

GET
/analytics/accounts/{id}

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Account id

Query Parameters

metrics?string

Comma-separated metrics (IG default reach,views,accounts_engaged,...; FB page_media_view,page_post_engagements,page_follows,page_views_total — page_impressions/page_fans were removed; Threads views,likes,replies,reposts,quotes,clicks,followers_count)

period?string

day (default) | week | days_28 | lifetime

since?string

ISO date or unix seconds

until?string

ISO date or unix seconds

metricType?string

Instagram (default total_value)

Value in"total_value""time_series"
breakdown?string

Instagram breakdown

timeframe?string

Instagram timeframe

Response Body

{accountId, platform, metrics}

application/json
  1. response
accountId?string
platform?string
metrics?array<>
Example Request
curl -X GET 'https://example.com/api/v1/analytics/accounts/string'
Example Response
{  "accountId": "string",  "platform": "string",  "metrics": [    {      "name": "string",      "period": "string",      "title": "string",      "total": 0,      "values": [        {          "value": null,          "endTime": "string"        }      ],      "breakdowns": null    }  ]}